Widgets on the Wii

Just a quick note that may help widget developers.

The problem:
Your widget may work well on mobile and desktop and in the widget emulator, but the version of Opera used on the Wii is a very different beast and the emulator does not reflect its quirks. Not only that, you can’t download or transfer your widget directly to the Wii to see what needs fixing (or at least I couldn’t find a way).

The solution:
The version of Opera used on the Wii is 9.30 so to test compatibility, install Opera 9.27 on your PC and you should be OK to then fix and re-submit successfully.

The user agent string for the Wii browser

The Wii user agent as reported by BBClone.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out /  Change )

Twitter picture

You are commenting using your Twitter account. Log Out /  Change )

Facebook photo

You are commenting using your Facebook account. Log Out /  Change )

Connecting to %s